using UnityEngine;
using System.Collections;

public class HeroBehaviour : MonoBehaviour
{
    //[SerializeField]
    //private float m_vitesse = 10.0f;
    //private Animator m_anim;

    //private Quaternion desiredRotation = Quaternion.identity;
    //private bool isMoving = false;
    //public float turningSpeed = 20f;

    //private float m_force = 10.0f;
    




	void Start ()
    {
	}


	void Update ()
    {
        //m_anim.SetBool("isJumping", false);

        ////DEPLACEMENTS

        //if (Input.GetKey(KeyCode.LeftArrow) || Input.GetKey(KeyCode.RightArrow))
        //{
        //    if (Input.GetKey(KeyCode.LeftArrow))
        //        desiredRotation = Quaternion.identity;
        //    else
        //        desiredRotation = Quaternion.Euler(0, 180, 0);

        //    m_anim.SetBool("isRunning", true);
        //    GetComponent<Transform>().Translate(Vector3.forward * Time.deltaTime * m_vitesse);
        //}
        //else
        //{
        //    m_anim.SetBool("isRunning", false);
        //    isMoving = false;
        //}


        //transform.rotation = Quaternion.Lerp(transform.rotation, desiredRotation, Time.deltaTime * turningSpeed); //Rotate smooth

        //transform.position = new Vector3(0f, transform.position.y, transform.position.z); //Reset position x

        ////SAUT
        //if(Input.GetKeyDown(KeyCode.Space))
        //{
        //    m_anim.SetBool("isJumping", true);
        //    GetComponent<Rigidbody>().AddForce(Vector3.up * m_force, ForceMode.Impulse);
        //}
	}
}